Bug 498309 - ipa host-add with no arguments except hostname populated nsOsVersion
ipa host-add with no arguments except hostname populated nsOsVersion
Status: CLOSED UPSTREAM
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
2.0
All Linux
medium Severity medium
: v2 release
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2009-04-29 15:56 EDT by Jenny Galipeau
Modified: 2015-01-04 18:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:29:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jenny Galipeau 2009-04-29 15:56:21 EDT
Description of problem:

when adding a host and not supplying --os, a default value of "redhat 5.3 Tikanga" is being added.  I don't think we should assume this.  If it is a required field then it should error, otherwise leave it with no value.


[root@jennyv2 schema]# ipa host-add jennyv3.bos.redhat.com
Host added


[root@jennyv2 schema]# ldapsearch -x -D "cn=Directory Manager" -w Secret123 -b "cn=jennyv3.bos.redhat.com,cn=computers,cn=accounts,dc=bos,dc=redhat,dc=com"

# extended LDIF
#
# LDAPv3
# base <cn=jennyv3.bos.redhat.com,cn=computers,cn=accounts,dc=bos,dc=redhat,dc=com> with scope subtree
# filter: (objectclass=*)
# requesting: ALL
#

# jennyv3.bos.redhat.com, computers, accounts, bos.redhat.com
dn: cn=jennyv3.bos.redhat.com,cn=computers,cn=accounts,dc=bos,dc=redhat,dc=com
cn: jennyv3.bos.redhat.com
nsHardwarePlatform: i686
objectClass: nshost
objectClass: ipahost
objectClass: pkiuser
objectClass: krbprincipalaux
objectClass: krbprincipal
objectClass: top
nsOsVersion: redhat 5.3 Tikanga
enrolledBy: uid=admin,cn=users,cn=accounts,dc=bos,dc=redhat,dc=com
krbPrincipalName: host/jennyv3.bos.redhat.com@BOS.REDHAT.COM
serverHostName: jennyv3


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.  install ipa server
2.  ipa host-add <fqdn_hostname>
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rob Crittenden 2009-04-29 16:07:22 EDT
It currently defaults to the settings of the machine that the command is run on.
Comment 2 Jenny Galipeau 2009-04-29 16:10:23 EDT
Ummm ... what if you were doing a bulk add - that would be a lot of incorrect data
Comment 3 Rob Crittenden 2009-04-29 16:21:06 EDT
If you were doing a bulk add w/o providing it yes, there would be a lot of bad data.

I guess it is a bit of a policy question. I have no problem removing the default if desired.
Comment 4 Rob Crittenden 2010-02-03 16:52:18 EST
The defaults have been removed, it was a poor assumption.

Note You need to log in before you can comment on or make changes to this bug.